Package org.eclipse.m2m.atl.engine.vm

# Class ASMOperation.Label

java.lang.Object
org.eclipse.m2m.atl.engine.vm.ASMOperation.Label

Enclosing class:
  `ASMOperation`

protected class ASMOperation.Label extends Object

## Constructor Summary

Constructors
Constructor
Description
`Label(String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addInstruction(ASMInstruction i)`
`int`
`getIndex()`
`String`
`getName()`
`void`
`setIndex(int index)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Label

public Label(String name)

## Method Details

### getIndex

public int getIndex()

### addInstruction

public void addInstruction(ASMInstruction i)

### setIndex

public void setIndex(int index)

### getName

public String getName()